TOWLOWER(3)

NAME
towlower, towupper - wide character case letter conversion utilities

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
wint_t
towlower(wint_t wc);
wint_t
towupper(wint_t wc);

DESCRIPTION
The towlower() function converts an upper-case wide character to the corresponding lower-case letter. The towupper() function converts an lower-case wide character to the corresponding upper-case letter.

RETURN VALUES
If the argument is an upper/lower-case letter, the tolower() function returns the corresponding counterpart if there is one; otherwise the argument is returned unchanged.

SEE ALSO
tolower(3), toupper(3)

STANDARDS
The functions conform to isoC-99.